---
sidebar_position: 3
---

# Setup Custom Cocos Engine

Set **Javascript Engine Path** to a **custom Cocos Engine**.

Thanks to the open source nature of Cocos Creator, we are able to customize some of the function in the source code to meet the requirement for Hyper Slot Game.

For the detail of the Custom Engine, take a look at this [**Custom Cocos Engine documentation**](../custom-cocos-engine/custom-cocos-engine.md)

**Clone the repository**

This custom engine can be universally used for all Hyper Slot Game project. So you only have to do this step once.

Choose your working directory and clone this repo using the following command:

```bash
git clone https://gitea.plp19.com/cocos-core/cocos-creator-engine.git
```

**Set custom engine in Cocos Creator**

Open the project in Cocos Creator. 

From the main menu, choose `Projects` -> `Project Settings`

![Project Setting](./img/project-setting.png)

Click on the `Custom Engine` tab, set `Javascript Engine Path` to the `cocos-creator-engine` folder.

Click `Save` and restart Cocos Creator.

![Set Custom Engine](./img/set-custom-engine.png)