---
sidebar_position: 0
---

# Slot Core Manual

An official step-by-step guide for using Slot Core to build HTML slot games with Cocos Creator.

![Intro](./img/intro.png)

# Introduction

💸 Building a slot game in HTML can be costly — in terms of time, budget, and development effort.

⚡️ Slot Core is designed to streamline the process, giving you a powerful foundation to create HTML-based slot games with ease. The full Slot Core ecosystem includes:
- A `Javascript library` containing all the core game logic.
- Multiple `Cocos Creator game templates`, featuring prefab components for common slot game features.
- A `custom Cocos Engine` adds built-in support for asset scaling and raw asset localization.
- Several `Cocos packages` to simplify and speed up your development workflow.

:::warning
This Slot Core is written only for Cocos Creator game engine. 

For other engines, the Javascript library can be reused, but not the Cocos parts.
:::

# Requirements

- **[Node.js](https://nodejs.org/en/download/)** - versions 18 or above (which can be checked by running node -v).
- **[Cocos Creator 2.x](http://cocos.com/en/creator-download)** - Slot Core only supports Cocos Creator 2.x. For recommandation, use `Cocos Creator 2.4.4`.
- **[Git](https://git-scm.com/downloads)** - the latest version is recommended. A Git GUI client is optional but can be helpful.

:::tip
For a detailed overview of `Git workflows`, please refer to this [link](https://www.atlassian.com/git/tutorials/comparing-workflows/gitflow-workflow).

Understanding `Git workflows` is essential for efficient collaboration, streamlined development, and maintaining a clean project history in any team-based software project.
:::

:::tip
To learn more about `Cocos Creator`, check of this [**Cocos Creator v2.4 User Manual**](https://docs.cocos.com/creator/2.4/manual/en/)
:::